SettableBeanProperty.MethodProperty (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser

## Class SettableBeanProperty.MethodProperty

- java.lang.Object
- - org.codehaus.jackson.map.deser.SettableBeanProperty
  - - org.codehaus.jackson.map.deser.SettableBeanProperty.MethodProperty

- All Implemented Interfaces:
    BeanProperty, Named
  Enclosing class:
    SettableBeanProperty

      public static final class SettableBeanProperty.MethodProperty
      extends SettableBeanProperty

  This concrete sub-class implements property that is set using regular "setter" method.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.deser.SettableBeanProperty

      `SettableBeanProperty.FieldProperty, SettableBeanProperty.InnerClassProperty, SettableBeanProperty.ManagedReferenceProperty, SettableBeanProperty.MethodProperty, SettableBeanProperty.NullProvider, SettableBeanProperty.SetterlessProperty`

    - ### Nested classes/interfaces inherited from interface org.codehaus.jackson.map.BeanProperty

      `BeanProperty.Std`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AnnotatedMethod` | `_annotated`
    `protected Method` | `_setter` Setter method for modifying property value; used for "regular" method-accessible properties.

    - ### Fields inherited from class org.codehaus.jackson.map.deser.SettableBeanProperty

      `_contextAnnotations, _managedReferenceName, _nullProvider, _propertyIndex, _propName, _type, _valueDeserializer, _valueTypeDeserializer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SettableBeanProperty.MethodProperty(SettableBeanProperty.MethodProperty src, JsonDeserializer<Object> deser)`
    `` | `SettableBeanProperty.MethodProperty(String name, JavaType type, TypeDeserializer typeDeser, Annotations contextAnnotations, AnnotatedMethod method)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deserializeAndSet(JsonParser jp, DeserializationContext ctxt, Object instance)` Method called to deserialize appropriate value, given parser (and context), and set it using appropriate mechanism.
    `<A extends Annotation> A` | `getAnnotation(Class<A> acls)` Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.
    `AnnotatedMember` | `getMember()` Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.
    `void` | `set(Object instance, Object value)`
    `SettableBeanProperty.MethodProperty` | `withValueDeserializer(JsonDeserializer<Object> deser)`

    - ### Methods inherited from class org.codehaus.jackson.map.deser.SettableBeanProperty

      `_throwAsIOE, _throwAsIOE, assignIndex, deserialize, getContextAnnotation, getDeclaringClass, getInjectableValueId, getManagedReferenceName, getName, getPropertyIndex, getPropertyName, getProperytIndex, getType, getValueDeserializer, getValueTypeDeserializer, hasValueDeserializer, hasValueTypeDeserializer, setManagedReferenceName, setValueDeserializer, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _annotated

          protected final AnnotatedMethod _annotated

    - #### _setter

          protected final Method _setter

      Setter method for modifying property value; used for "regular" method-accessible properties.

  - ### Constructor Detail

    - #### SettableBeanProperty.MethodProperty

          public SettableBeanProperty.MethodProperty(String name,
                                             JavaType type,
                                             TypeDeserializer typeDeser,
                                             Annotations contextAnnotations,
                                             AnnotatedMethod method)

    - #### SettableBeanProperty.MethodProperty

          protected SettableBeanProperty.MethodProperty(SettableBeanProperty.MethodProperty src,
                                             JsonDeserializer<Object> deser)

  - ### Method Detail

    - #### withValueDeserializer

          public SettableBeanProperty.MethodProperty withValueDeserializer(JsonDeserializer<Object> deser)

      Specified by:
        `withValueDeserializer` in class `SettableBeanProperty`

    - #### getAnnotation

          public <A extends Annotation> A getAnnotation(Class<A> acls)

      Description copied from interface: `BeanProperty`
      Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.
      Specified by:
        `getAnnotation` in interface `BeanProperty`
      Specified by:
        `getAnnotation` in class `SettableBeanProperty`

    - #### getMember

          public AnnotatedMember getMember()

      Description copied from interface: `BeanProperty`
      Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.
      Specified by:
        `getMember` in interface `BeanProperty`
      Specified by:
        `getMember` in class `SettableBeanProperty`

    - #### deserializeAndSet

          public void deserializeAndSet(JsonParser jp,
                               DeserializationContext ctxt,
                               Object instance)
                                 throws IOException,
                                        JsonProcessingException

      Description copied from class: `SettableBeanProperty`
      Method called to deserialize appropriate value, given parser (and context), and set it using appropriate mechanism. Pre-condition is that passed parser must point to the first token that should be consumed to produce the value (the only value for scalars, multiple for Objects and Arrays).
      Specified by:
        `deserializeAndSet` in class `SettableBeanProperty`
      Throws:
        `IOException`
        `JsonProcessingException`

    - #### set

          public final void set(Object instance,
                 Object value)
                         throws IOException

      Specified by:
        `set` in class `SettableBeanProperty`
      Throws:
        `IOException`